• 2890 Players on Java
  • us.mineplex.com
  • 11115 Players Online
  • 8225 Players on Bedrock
  • pe.mineplex.com
!
Attention Internet Explorer Users
To have the best user experience on our site please consider upgrading to Google Chrome or Mozilla Firefox

Will the server ever be updated past 1.8?

Discussion in 'Server Discussion' started by Glitchy, Jun 29, 2020.

  1. Seriously the game’s get buggier with every new Minecraft update now like horse in SSM is a Fox in 1.16
     
    Posted Jun 29, 2020
  2. Hello!

    The reason that Mineplex is still compatible in 1.8 is the old combat system. Most people prefer the old combat system, so Mineplex and many other servers are forced to still be compatible with 1.8, which creates many new bugs. You can report bugs in the forums, though horse being a fox in ssm is still a visual change so it probably won't have priority, except if it gives advantage to the horse user (Like smaller hitboxes, etc).
     
    Posted Jun 29, 2020
    hkq, Im_Ken, Oscaros_ and 5 others like this.
  3. you do know it’s simple to code a bypass for the attack cooldown right? Many servers did it as soon as 1.9 dropped
     
    OP OP
    OP OP Posted Jun 29, 2020
  4. That is a good idea, but many PvP clients and players only play on 1.8, and Mineplex definitely doesn't want to lose any playerbase right now. That may be implemented if keeping 1.8 and all newer versions supported causes way too much bugs or if keeping 1.8 and all newer versions supported becomes very hard or impossible.
    Currently best way to get rid of bugs is to report them, because Mineplex probably won't cut support to 1.8 anytime soon.
     
    Posted Jun 29, 2020
    AtLeastYouTried and LazyBrayden like this.
  5. Heyo,

    As @Seqv said, its no secret most players prefer 1.8 PVP. Regardless if an attack cooldown can be coded into 1.9+ many players will always still prefer playing on 1.8.

    Mineplex is mostly consisted of PVP games, so moving towards versions less geared toward PVP would be a mistake and upset many players that still run 1.8, which is a large portion of the community. Several people also use clients such as Lunar Client, which runs on 1.8, and people may be unhappy if they are unable to use them. Finally, most texture packs are designed for 1.8, the list goes on why keeping 1.8 is more ideal that pushing 1.9+.

    There is support for versions above 1.8, and despite some visual bugs nothing is particularly game breaking (prominently). So I feel keeping the entire player base happy should be priority rather than satisfying those who prefer 1.16. The last thing we want to do is drive away some of our dedicated player base. Its safe to say that we will not be moving on from 1.8 anytime soon.

    As you mentioned the current bugs in SSM, the issues regarding SSM are known by QA and Developers and will be fixed as soon as possible. If you find bugs (Including in 1.16) that are unknown, please report them at mineplex.com/bugs.
     
    Posted Jun 29, 2020
    Fusafez, Poker1st and Dor1to like this.
  6. I really doubt Minecraft will decide to bring old combat mechanics back, so until then, Mineplex and many other servers will likely never remove support for 1.8.9. Many of the more popular games on the server are combat games, and many players on these games who have stuck around the server, are all playing on 1.8 - at least the majority.

    Making a change like this would have to be heavily demanded and wanted by the majority of the playerbase, and would not, for the sake of the server, drive away more than half its players. Knowing that there are more and more bugs that come with specific gamemodes as more Minecraft updates are rolled out, it would be much easier to just to fix smaller issues that come up, rather than not support arguably the most popular version played on the server.
     
    Posted Jun 29, 2020
    LazyBrayden likes this.
  7. I was saying to code a plugin to bypass
     
    OP OP
    OP OP Posted Jun 30, 2020
  8. And many PvP clients that players tend to use like Lunar or Badlion client do not offer other versions.

    Regardless of the fact that that Mineplex can create their own combat plugins, it will not change the fact that people will continue to want to play on 1.8.9 specifically
     
    Posted Jun 30, 2020
    SpitefulNick likes this.
  9. isn’t badlion a hack client tho?
     
    OP OP
    OP OP Posted Jul 2, 2020
  10. Lol of course not
     
    Posted Jul 2, 2020
  11. Ok cause I’ve seen some servers forbid it
     
    OP OP
    OP OP Posted Jul 2, 2020
    Perseus likes this.
  12. Huh that’s strange
     
    Posted Jul 2, 2020
  13. most servers only use 1.8 because the competitive players prefer its pvp. If they were to upgrade, they'd most likely wouldn't pass 1.12.2, as 1.13+ isn't as stable for large servers
     
    Posted Jul 2, 2020
  14. Hello!

    As other have said that Mineplex keeps 1.8, most players prefer 1.8 pvp mechanics rather than other versions.
    I don't think Mineplex would switch because then a lot of players would stop playing. As far as the horse kit being changed, you can report it as a bug.
     
    Posted Jul 2, 2020
  15. Hey! :sigils_down:

    I personally do not think that Mineplex will "update past 1.8" due to the simple fact that a majority of the players like the pvp mechanics way better in 1.8.9. With that being said, they will definitely have the server available for 1.16 use, however it would still have the 1.8 combat system, and for that reason I believe that 1.8.9 will stay available, and therefor some blocks or mobs might move different for those players on the higher versions.
     
    Posted Jul 2, 2020
  16. Hey! I don't think it will probably ever be updated past 1.8 due to the fact that people love the current pvp style that Minecraft has right now. The plugins that still allow 1.8 pvp in future versions aren't quite the same as the 1.8 pvp that people enjoy. The only time I could see Mineplex updating is if all other servers started to head in the same direction. The features that it could bring would be amazing and add so many new mobs and blocks. As for the bug you described it's best to play pvp games in 1.8.x as it's much better at handeling pvp compared to the newer versions.
     
    Posted Jul 2, 2020
  17. Just play mineplex on 1.8, you’ll avoid any bugs caused by later versions.
     
    Posted Jul 3, 2020
  18. You can't block with your sword in 1.9+.
     
    Posted Jul 4, 2020,
    Last edited Jul 4, 2020
  19. Alright so I'd like to dive into the technical aspect of this.

    Mineplex uses a server software called Spigot. This allows them to use and create plugins. Spigot is based off of Minecraft's server software. Consider it to be an add-on for the Minecraft software.

    Developers can import classes from the Minecraft software. We call these NMS classes (NMS is short for net.minecraft.server). NMS classes are version specific.

    This is an example for the NMS class for the Entity import: "net.minecraft.server.v1_8_R3.Entity"

    This is an example of the Spigot/Bukkit Entity class: "org.bukkit.entity.Entity;"


    Mineplex's code contains hundreds, if not thousands, of these references. In order to switch to a newer version, they would have to go through all of these manually and change them (as per the 2015 source code leak, Mineplex didn't use reflections so changing the imports for hundreds of classes will take a long time that most people can't be bothered to do).

    The problem isn't just that though. What I mentioned above is only just a boring task that the devs would end up doing. Another large issue, though, is that there are also many other Spigot API changes that happened when newer versions of Minecraft came out. Some methods have been altered, deprecated, or removed entirely. The devs would also have to go through virtually all the code and change quite a few things.

    In the end, it's too major of a change that'd affect too many things, and it'd all be for nothing since a huge part of Mineplex's playerbase uses 1.8, so they'd either lose that part of the playerbase or end up supporting 1.8.
     
    Posted Jul 5, 2020
  20. which didn’t do crap to begin with
     
    OP OP
    OP OP Posted Jul 8, 2020 at 3:16 AM

Share This Page